%global python_config CONFIG_PFMLIB_NOPYTHON=n PYTHON_PREFIX=%{buildroot}%{_usr}
%filter_provides_in %{python3_sitearch}/perfmon/.*\.so$
%filter_setup

Summary:       Library to encode performance events for use by perf tool
Name:          libpfm
Version:       4.13.0
Release:       5%{?dist}
License:       MIT
URL:           http://perfmon2.sourceforge.net/
Source0:       http://sourceforge.net/projects/perfmon2/files/libpfm4/%{name}-%{version}.tar.gz

Patch3000:     libpfm-python3-setup.patch

BuildRequires: make gcc python3 python3-devel python3-setuptools swig

%description
libpfm4 is a library to help encode events for use with operating system kernels
performance monitoring interfaces. The current version provides support for the
perf_events interface available in upstream Linux kernels since v2.6.31.

%package devel
Summary:    Development library to encode performance events for perf_events based tools
Requires:    %{name} = %{version}-%{release}
Provides:    %{name}-static = %{version}-%{release}
Obsoletes:    %{name}-static <= %{version}-%{release}

%description devel
Development library header and static library files to create performance monitoring
applications for the perf_events interface.

%package -n python3-libpfm
Summary:    Python bindings for libpfm and perf_event_open system call
Requires:   %{name} = %{version}-%{release}
Provides:   libpfm-python = %{version}-%{release}
Provides:   %{name}-python = %{version}-%{release}

%description -n python3-libpfm
Python bindings for libpfm4 and perf_event_open system call.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%global python_config CONFIG_PFMLIB_NOPYTHON=n
%make_build %{python_config} \
     OPTIM="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
rm -rf %{buildroot}

make \
    PREFIX=%{buildroot}%{_prefix} \
    LIBDIR=%{buildroot}%{_libdir} \
    %{python_config} \
    LDCONFIG=/bin/true \
    install

%files
%doc README
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_mandir}/man3/*

%files -n python3-libpfm
%{python3_sitearch}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.0-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.13.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 4.13.0-1
- update to 4.13.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Shuo Wang <abushwang@tencent.com> - 4.11.0-1
- initial build

